# PotionEffectName (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.language

## Class PotionEffectName

- java.lang.Object
- - de.epiceric.shopchest.language.PotionEffectName

    public class PotionEffectName
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PotionEffectName(org.bukkit.potion.PotionType effect, String localizedName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.potion.PotionType` `getEffect()`
`String` `getLocalizedName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PotionEffectName

    public PotionEffectName(org.bukkit.potion.PotionType effect,
                            String localizedName)

### Method Detail

#### getEffect

    public org.bukkit.potion.PotionType getEffect()

Returns:
  Potion Effect linked to the name

#### getLocalizedName

    public String getLocalizedName()

Returns:
  Localized Name of the potion effect